FORMS(3) | Library Functions Manual | FORMS(3)

# NAME

`free_form`, `new_form` —
form library

# LIBRARY

Curses Form Library (libform, -lform)

# SYNOPSIS

`#include <form.h>`

int
`free_form`(FORM *form);

FORM *
`new_form`(FIELD **fields);

# DESCRIPTION

The function `free_form`() frees all the resources associated with the form and destroys the form. Calling `new_form`() will create a new form, set the form parameters to the current defaults and attach the passed fields to the form. The array of fields passed to `new_form`() must be terminated with a `NULL` pointer to indicate the end of the fields.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following error values:

`E_OK`
  The function was successful.
`E_BAD_ARGUMENT`
  The function was passed a bad argument.
`E_POSTED`
  The form is posted to the screen.

# SEE ALSO

curses(3), forms(3)

# NOTES

The header `<form.h>` automatically includes both `<curses.h>` and `<eti.h>`.

January 1, 2001 | NetBSD 9.5